Subject: bug#16479: 24.3.50; daemon freeze with tty menus

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Jan 2014 13:10:43 +0200

> From: Mark Oteiza <[email-masked]>
> Date: Fri, 17 Jan 2014 05:21:51 -0500
> 
> > It's not frozen, it waits for you to finish the menu input.  The same
> > happens if you type, e.g., "C-x" in one client and then switch to the
> > other: it will be unresponsive until you finish typing the command in
> > the first one.
> >
> > Emacs reads only from one keyboard at a time.
> >
> > This is not a bug, but a well-known limitation of multi-tty input in
> > Emacs.
> 
> Ok.  I understand that emacs has to wait for input.  With menu-bar-mode
> disabled, I can open a menu in client A with F10, open another client B
> somewhere else, return to client A and do whatever with the menu.
> 
> With menu-bar-mode (and thus the new tty menus) enabled, if I do the
> steps I outlined above, I expect to be able to return to the previous
> client and finish input.  This is not the case: if I go back to the
> first client with the menu, and try an arrow key or C-{npbf}, emacs
> crashes.  I think this is a bug.

A crash is always a bug.

I understand that you are talking about the situation where the menu
is already open on one client, and then you start another client.

If so, this seems to have something to do with the fact that starting
a client writes something to the terminal (to query the terminal about
its features).